Subject: [tenchi:106499] Re: Funimations re-release of Tenchi?
From: Gregory Himes <[email-masked]>
To: [email-masked]
Date: Thu, 12 Aug 2010 15:40:26 -0700 (PDT)

> Well... something to keep in mind is that there was a time
> when ADV also left a bitter taste in fans' mouths.

ADV always did for me... an Funi does now, for typically the same reasons.  Their quality on each product WILDLY varies, from downright crappy, to pretty good.  90% of the time, the dubs were horrible (and still are).  And ADV was one of the worst 
offenders in making the dub NOT match the sub in plot and detail, including "Americanizing" things that didn't need to be, or shouldn't have been... on the DVD releases (I can see a reason if you're forcefeeding the material as a "cartoon" to brain 
dead kiddies). 
For a good example of changing plot in the dub, watch "Angel Cop" and "Generator Gawl."
BTW, when I asked about how butchered the plot became on the dub of "Gawl," I silenced the ADV panel at one convention... can't remember if it was Otakon or AnimeNext.